︠f03a5c83-0f7f-41ee-afa8-77aa9dbd44aci︠
%md

Hi William,

 Here's a thought. We might ask a designer to put together the following three visual items, maybe as collage, maybe as partial superposition....

1. A picture of Riemann (could be small)
2. A very clear picture of figure 35.2 in our book, but cropped, so the 27 and the 32 doesn't appear: only the 29 and 31.  The numerals 29 and the 3i could appear larger than in  that figure, so they are unmistakable.
3. and as background one of the color pictures of the zeta-function taken from, say, Wikipedia.
︡5a383d62-5ec4-4026-9d5d-1048e06eb4eb︡{"md":"\nHi William,\n\n Here's a thought. We might ask a designer to put together the following three visual items, maybe as collage, maybe as partial superposition....\n\n1. A picture of Riemann (could be small)\n2. A very clear picture of figure 35.2 in our book, but cropped, so the 27 and the 32 doesn't appear: only the 29 and 31.  The numerals 29 and the 3i could appear larger than in  that figure, so they are unmistakable.\n3. and as background one of the color pictures of the zeta-function taken from, say, Wikipedia.\n"}︡
︠c7d43c69-afe6-4379-98da-dbc67b146c48s︠
RealNumber = float; Integer = int
def f(y):
    return zeta(complex(.5,y)).real
def g(y):
    return zeta(complex(.5,y)).imag
B = 30
h = plot(f, (0,B)) + plot(g, (0,B), color='red')
z = [(y,0) for y in zeta_zeros()[:100] if y <= B]
h += points(z, pointsize=50, color='black', zorder=10)
h += text(r"$\zeta\left(\frac{1}{2} + ix\right)$", (4,2), color='black', fontsize=20)
a = -0.6
h += text(r"$\theta_1$", (14.4,a), color='black', fontsize=16)\
h += text(r"$\theta_2$", (21.2,a), color='black', fontsize=16)
h += text(r"$\theta_3$", (25.2,a), color='black', fontsize=16)
show(h, figsize=[8,3], frame=True)
save(h, 'zeta.pdf', figsize=[8,3], frame=True)
︡90326914-4da1-4396-8e7d-1a125f977486︡{"once":false,"file":{"show":true,"uuid":"3f968594-8f38-4a68-8cc9-08970f356af4","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute7dc2/17081/tmp_jEhIbg.svg"}}︡{"html":"<div align='center'></div>"}︡
︠0d067f05-58b5-4eb7-b761-c657f4812df0s︠
C = 1000
from math import cos, log
Z = [float(x) for x in zeta_zeros()[:C]]
def m(s):
    ls = log(s)
    return -sum(cos(ls*t) for t in Z)
p = plot(m, (26,33))
︡cf5c0ec2-84f5-45e9-ace9-a251c8e5464b︡
︠0025ab23-bd27-49e4-8d1a-aa9361916ba9s︠
g = p + text("$- \\sum_{i=1}^{%s} \,\\cos(\\log(x)\\theta_i)$"%C, (27.9,80), color='black', fontsize=16)
show(g, figsize=[8,3], frame=True)
save(g, 'theta.pdf', figsize=[8,3], frame=True)

︡30986ed5-9f52-45f9-8df0-b0306b27b7fe︡{"once":false,"file":{"show":true,"uuid":"f26b37cf-538d-4a35-8319-05500f453e9a","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute7dc2/17081/tmp_A3MEzy.svg"}}︡{"html":"<div align='center'></div>"}︡
︠15da161b-ea90-45f1-9bd8-2ba45046d780︠
complex_plot??
︠bc51dd6d-ccc6-4ffc-b1e8-61569e0cb595︠

cp = complex_plot(zeta, (-50,50),(-50,50), frame=False, axes=False, aspect_ratio=1, plot_points=300)
︡0b6e0a39-c79c-4e1e-ac9b-696535bb542d︡
︠a92aedab-1f99-46fa-9e74-11d1cbd28360︠
cp
︡979bd977-1b47-4712-a7ce-b42e298beda1︡{"once":false,"file":{"show":true,"uuid":"49ee68f7-9145-4223-9039-4ffeb903ddcb","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute15dc0/31750/tmp_ERFZD_.svg"}}︡
︠425dcd8e-3ccb-4055-869f-21c1982461a6︠
cp.save('red.pdf')
︡1cb9b9f2-86b1-40a2-b382-09b3d791141b︡
︠9737841d-3c39-4328-b0dc-e19bd3ae0d26︠

︠1c7ce461-e50d-44b1-b929-6659e5522975︠
%var x
show(plot(x^2,(x,300,500)), ticks=[[300,500],[]])
︡5cd64cc4-4018-4715-ae9c-847f631013bd︡{"once":false,"file":{"show":true,"uuid":"1c2a3685-adb0-4a72-acc5-8debc98fd784","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute15dc0/31750/tmp_n5R9Y2.svg"}}︡
︠69394810-4c30-47e1-adea-50b495e56273︠
C = 2000
from math import cos, log
Z = [float(x) for x in zeta_zeros()[:C]]
def m(s):
    ls = log(s)
    return -sum(cos(ls*t) for t in Z)
p = plot(m, (28.5,31.5), thickness=4, plot_points=500)
︡42526dd8-9f8e-4b48-bc5a-1fc37a6347c8︡
︠b75cc89c-2ba7-44d6-8584-282546e5cdef︠
g = p
#g = p + text("29",(29,-80), fontsize=36, color='black')
#g += text("31",(31,-80), fontsize=36, color='black')
show(g,  figsize=[12,5], ticks=[[],[]])

︡b6b7d75e-9578-4f8e-8f87-d903d5cae86b︡{"once":false,"file":{"show":true,"uuid":"c7527f9b-8198-4c23-a2db-023d2f64bd60","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute7dc2/2807/tmp_w8641B.svg"}}︡
︠c5c2b7a3-3456-4c9c-8f62-df3ed8bcc0ca︠
save(g, 'theta2.pdf', figsize=[12,5], axes=False)
︡ceae4d7f-9d7c-44d0-83e7-c4c46cfe9cab︡
︠cc6a5231-18a6-4cd8-82a4-b3ace1f2fa94︠
save(g, 'theta2.png', figsize=[12,4], axes=False)
os.system('convert theta2.png -transparent "#ffffff" theta3.png')
︡cba3a6a7-895e-4a1c-bed5-4ccb55be1481︡{"stdout":"0"}︡{"stdout":"\n"}︡
︠a04c4d6a-165d-4f48-a6df-cf5faf2e7050s︠
complex_plot(zeta, (-50,50),(-50,50), frame=False, axes=False, aspect_ratio=1)
︡561be411-fc9a-412c-9e5e-77c4574dddc2︡{"once":false,"file":{"show":true,"uuid":"62e54a8a-445b-4fc8-9736-f091d87cd427","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute7dc2/17081/tmp_jTMXXh.svg"}}︡{"html":"<div align='center'></div>"}︡
︠4326db85-56be-4f8c-b712-139e494d458d︠
def zeta2(z):
    if real(z) > 1:
        return zeta(z)+10
    return zeta(z)
︡584a03ce-f1ee-4bff-8175-a41e552728b6︡
︠5af8c22c-92db-42e5-84c4-365d167d316e︠
complex_plot(zeta2, (-50,50),(-50,50), frame=False, axes=False, aspect_ratio=1)
︡3a6c47c4-97da-4f98-86fe-eee5c917da52︡{"once":false,"file":{"show":true,"uuid":"762920fc-8c7c-4571-93ee-050230c6b83a","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute15dc0/3257/tmp_N4FwEu.svg"}}︡
︠9fb2113a-4a73-4c9f-b567-7db941c97057︠
%time
cp = complex_plot(zeta2, (-50,50),(-50,50), frame=False, axes=False, aspect_ratio=1, plot_points=300)
cp
︡f4496cae-2171-4527-b709-8f277c2162b7︡{"once":false,"file":{"show":true,"uuid":"988207da-ebc0-4e81-8bc5-2ffbd03ad112","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute15dc0/3257/tmp_78FJQK.svg"}}︡{"stdout":"CPU time: 10.48 s, Wall time: 11.02 s"}︡{"stdout":"\n"}︡
︠18cf0c9b-74ec-4353-88c3-43073211df14︠
cp.save('red.png')

︡08c13cc4-6c48-4f3c-95af-db3c9685531a︡
︠df937edb-45a5-4232-b104-7ee25528280d︠
def zeta2(z):
    if real(z) > 1:
        return zeta(z)+10
    return zeta(z)
︡136fd211-ed09-466f-a319-eae0af390ffb︡
︠fc22cd1c-dd5c-42bb-8bd0-f20c128780d9︠
%time
cp = complex_plot(zeta2, (-50,50),(-50,50), frame=False, axes=False, aspect_ratio=1, plot_points=600)
cp
︡71bee0e6-3f0e-487d-99cf-8544a8bf2e69︡{"once":false,"file":{"show":true,"uuid":"a072709a-5ba1-4d57-a64e-3b778d91e26c","filename":"/projects/54949eee-57da-4bd7-bb43-c2602b429f9a/.sage/temp/compute7dc2/2807/tmp_jY9nkN.svg"}}︡{"stdout":"CPU time: 99.07 s, Wall time: 100.16 s"}︡{"stdout":"\n"}︡
︠73cca421-4fae-41be-83d3-a59350b9b787︠
cp.save('2015-02-05-submit/red.png')
cp.save('2015-02-05-submit/red.pdf')
︡7affedcc-12d7-49f6-9ee6-9d4580182ce8︡
︠31f46f3e-051a-49c1-81f7-d4e26bc59f0a︠
%time
cp = complex_plot(zeta, (-50,50),(-50,50), frame=False, axes=False, aspect_ratio=1, plot_points=600)
cp.save('2015-02-05-submit/red-orig.png')
cp.save('2015-02-05-submit/red-orig.pdf')
︡4d190e7f-ce8d-4027-a548-339d93c31717︡{"stdout":"CPU time: 52.33 s, Wall time: 52.50 s"}︡{"stdout":"\n"}︡
︠dc3937d9-3bb2-4949-87c0-c0cf575991b4︠










